Skip to main content
PATCH
/
lists
/
investors
/
{listId}
Modify an investor list
curl --request PATCH \
  --url https://app.tryspecter.com/api/v1/lists/investors/{listId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "add_ids": [
    "inv_5e3a7f2b0aa7a3270a55f2a7"
  ],
  "delete_ids": [
    "inv_5e3a7f2b0aa7a3270a55f2a7"
  ]
}
'
import requests

url = "https://app.tryspecter.com/api/v1/lists/investors/{listId}"

payload = {
"add_ids": ["inv_5e3a7f2b0aa7a3270a55f2a7"],
"delete_ids": ["inv_5e3a7f2b0aa7a3270a55f2a7"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
add_ids: ['inv_5e3a7f2b0aa7a3270a55f2a7'],
delete_ids: ['inv_5e3a7f2b0aa7a3270a55f2a7']
})
};

fetch('https://app.tryspecter.com/api/v1/lists/investors/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "b73c8bed-3b92-48f9-a879-40ee114dca03",
  "name": "Top European Seed VCs",
  "created_at": "2024-11-14T10:36:12.625Z",
  "updated_at": "2024-11-14T10:36:12.625Z",
  "investors": [
    {
      "investor_id": "inv_5e3a7f2b0aa7a3270a55f2a7",
      "created_at": "2025-01-02T17:29:46.688Z"
    }
  ]
}
{
"errorCode": "INVALID_LIST_UUID",
"message": "List id must be a valid UUID."
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}
{
"errorCode": "<string>",
"message": "<string>"
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

listId
string<uuid>
required

The ID of the list being requested.

Body

application/json

Request to add and delete investor ids

add_ids
string[]

List of investors to add to the list

Specter investor ID being added

delete_ids
string[]

List of investors to remove from the list

Specter investor ID being removed

Response

The list including investor ids

id
string<uuid>

List Id

Example:

"b73c8bed-3b92-48f9-a879-40ee114dca03"

name
string

Name of the list

Example:

"Top European Seed VCs"

created_at
string<date-time>

Date (YYYY:MM:DD) the list was created.

Example:

"2024-11-14T10:36:12.625Z"

updated_at
string<date-time>

Date (YYYY:MM:DD) the list was last updated.

Example:

"2024-11-14T10:36:12.625Z"

investors
object[]

The investors included in this list